# mstdn-block

Manage instance blocks on mastodon

Note: currently only import and export commands are supported. Also only tested with Glitch-Soc 3.0.1.

## Installation

Minimum Python version: 3.6.0

`pip install -r requirements.txt`

Copy 'block.py' or set MASTOPATH to your Mastodon root directory

## Usage
If the path to a csv file is not specified, 'blocks.csv' in the current directory will be used.

### Import blocklist in csv format

`./block.py import [path/to/csv]`

### Export blocklist in csv format

`./block.py export [path/to/csv]`
